PROBE::KPROCESS.EX(3stap)

NAME
probe::kprocess.exec - Attempt to exec to a new program

SYNOPSIS

kprocess.exec

VALUES

filename
    The path to the new executable

name
    Name of the system call (“execve”) (SystemTap v2.5+)

args
    The arguments to pass to the new executable, including the 0th arg (SystemTap v2.5+)

argstr
    A string containing the filename followed by the arguments to pass, excluding 0th arg (SystemTap v2.5+)

CONTEXT

The caller of exec.

DESCRIPTION

Fires whenever a process attempts to exec to a new program. Aliased to the syscall.execve probe in SystemTap v2.5+.

SEE ALSO
tapset::kprocess(3stap)